EXPLICIT_BZERO(3bsd)

NAME
explicit_bzero - write zeroes to a byte string

LIBRARY
libbsd

SYNOPSIS
#include <string.h>
(See libbsd(7) for include usage.)
void
explicit_bzero(void *buf, size_t len);

DESCRIPTION
The explicit_bzero() function writes len zero bytes to the string buf. If len is zero, explicit_bzero() does nothing.

The explicit_bzero() variant behaves the same as the bzero() function, but will not be removed by a compiler's dead store optimization pass, making it useful for clearing sensitive memory such as a password.

SEE ALSO
bzero(3), memset(3), swab(3)

HISTORY
The explicit_bzero() function first appeared in OpenBSD 5.5, glibc 2.25.